#include<bits/stdc++.h>
using namespace std;
int N,A,B,AB,O,a,b,o,ab,m,ost;
string c;
int main(){
    cin>>N;
    cin>>O>>A>>B>>AB;
    for(int i=1;i<=N;i++){
        cin>>c>>m;
    }
    cout<<"nemoguce"<<endl;

    return 0;
}